petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFunction

Functional form used to convey the nonlinear function to be solved by SNES

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFunction(SNES snes,Vec x,Vec f,void *ctx);

### Input Parameters

| snes | - the SNES context Many br
| x | - state at which to evaluate residual Many br
| ctx | - optional user-defined function context, passed in with SNESSetFunction() Many br

### Output Parameter

f -vector to put residual (function value) Many br

Many br

### See Also

SNESSetFunction(), SNESGetFunction()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages